apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: dorzel-builds-test
  name: ruby-hello-world-deployment
  annotations:
    image.openshift.io/triggers: >-
      [{"from":{"kind":"ImageStreamTag","name":"ruby-hello-world:mflist","namespace":"dorzel-builds-test"},"fieldPath":"spec.template.spec.containers[?(@.name==\"container\")].image","paused":"true"}]
spec:
  selector:
    matchLabels:
      app: ruby-hello-world-deployment
  replicas: 10
  template:
    metadata:
      labels:
        app: ruby-hello-world-deployment
    spec:
      containers:
        - name: ruby-hello-world-container
          image: 'image-registry.openshift-image-registry.svc:5000/dorzel-builds-test/ruby-hello-world:mflist'
          ports:
            - containerPort: 8080
              protocol: TCP
          env: []
      imagePullSecrets: []
  strategy:
    type: Recreate
  paused: false
